import request from '@/utils/request'

//获根据用户获取其所在的行政单位（对象）信息
export function getUserGeo() {
  return request({
    url: '/bigData/common/getUserGeo',
    method: 'get',
  })
}

//获取村级下拉
export function getUserGeoList(query) {
  return request({
    url: '/bigData/common/getUserGeoList/'+query,
    method: 'get'
  })
}

//查询当前部门
export function getDept(id) {
  return request({
    url: '/open/home/mobile/get/current/' + id,
    method: 'get'
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/open/depositm/dept/treeselect',
    method: 'get'
  })
}

// 数据获取
export function plotPremisesStatistics(query) {
  return request({
    url: '/open/home/mobile/plotPremises/statistics',
    method: 'get',
    params: query
  })
}
